Description

If item description/title templates are provided, they should be used by default; this is currently not the case. When this is fixed, the
docstrings should also be updated.

Associated revisions

Revision 767cec41 - 06/01/2011 04:13 PM - Stephen Burrows

Minor correction to FeedView docstrings. Resolves issue #139.

Revision ac8a3258 - 06/02/2011 09:22 PM - Joseph Spiros

Merge branch 'master' of git://github.com/melinath/philo

e 'master' of git://github.com/melinath/philo:
Implemented the solution proposed to #130 - removed TreeModel and made a SlugTreeEntity subclass of TreeEntity to handle Node and
Template. Correctly subclassed SlugTreeEntity.Meta so that Node and Template actually have the unique constraints they are meant to. Minor
correction to TreeEntity.get_path.
Minor corrections to TagCreation.js. Resolves issue #125.
Switched contentlets to use lists rather than sets to preserve ordering. Resolves issue #132. Added some basic tests for containers. Moved
build_extension_tree out of Template.containers.
Minor correction to FeedView docstrings. Resolves issue #139.
Refactored RequestNodeMiddleware to use SimpleLazyObject - comparable to django r16297/r16305. Resolves issue #144.
Corrected philo tests and removed all use of penfield models in those tests - resolves issue #80. Minor correction to TreeModel.get_path to save
aquery.
Added a 'getting started' tutorial and a short intro to philo page to the docs. Improved Attribute docstring.

History

#1 - 06/01/2011 04:10 PM - Stephen Burrows

They actually are used already - in fact, they override any methods, just like in django's Feed view. Updated the docstrings in
767cec415355aealac6af15580ffdc5e5787c041.

#2 - 06/01/2011 05:47 PM - Stephen Burrows

- Status changed from New to Resolved
